# Crep

[![CircleCI](https://circleci.com/gh/xing/crep.svg?style=svg)](https://circleci.com/gh/xing/crep)

*Crep - a Crash Reporter for creating appealing Crash Reports*

![the crab logo](assets/logo_small.png)

We use Crep at [XING](https://www.xing.com) to create our Crash Newsletters for [iOS](https://www.xing.com/ios) and [Android](https://www.xing.com/android) within the _Mobile Releases Team_. It currently uses [HockeyApp](https://rink.hockeyapp.net) as a crash source, so if you are using Hockey, you should definitely give Crep a try.

In case you are creating Crash Reports and have a different crash source in mind - check out the [contributing](#contributing) section!

You can check out more about the project direction in the [vision document](/Vision.md).

## Install

Please follow our guide in the [installation instructions](https://github.com/xing/crep/wiki/Install).

## Usage

### Running

```bash
# Provide a `CREP_HOCKEY_API_TOKEN`:
$ export CREP_HOCKEY_API_TOKEN='abcde'

# Run Crep
$ bundle exec crep crashes --identifier='com.example.company' --version='1.23.0' --build='42'

# Run Crep for the latest version and build
$ bundle exec crep crashes --identifier='com.example.company' --only-unresolved
```

The `--only-unresolved` flag filters out any crashes marked as resolved.

### Report Templates

[ERB](http://www.stuartellis.name/articles/erb/) templates are used for the crash report layout.
You can either use the [supplied template](/templates/default_crash_report.txt.erb) in the templates folder
or specify your own via a command line argument.

```bash
bundle exec crep crashes --identifier .... --template=<path to your template>
```

**This is what [Crep output](/spec/fixtures/report_output.txt) can look like:**

```
Reporting for YourApp (0.17.1/1114) your.bundle.identifier
------------- #1 --------------
Class: SomeWeirdClass
First appeared on 2017-07-14 and occurred 50 times in 0.17.1
Percentage: 12.5% of all 0.17.1 crashes
File/Line: line:123
Reason: Unknown
Link: https://my.crash.url
Deep Link: hockeyapp-coach://view-crash/app_id/reason_id/latest

------------- #2 --------------
Class: SomeOtherClass
First appeared on 2017-07-14 and occurred 100 times in 0.17.1
Percentage: 25.0% of all 0.17.1 crashes
File/Line: line:123
Reason: Unknown
Link: https://my.crash.url
Deep Link: hockeyapp-coach://view-crash/app_id/reason_id/latest
```

## Test

Run `bundle exec rspec` in order to run the tests.

## Contributing

🎁 Bug reports and pull requests for new features are most welcome!

👷🏼 In case you want to use a different crash source - feel free to add on, we are looking forward to your pull request, we'd love to help!

You can help by doing any of the following:

- Reviewing pull requests
- Bringing ideas for the new features
- Answering questions on issues
- Improving documentation

This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant code](http://contributor-covenant.org/) of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
